#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpab	--output src/autoload.php \
		src
	mkdir --parents vendor Webimpress
	ln -s ../src Webimpress/SafeWriter
	phpabtpl --require webimpress/safe-writer > debian/autoload.tests.php.tpl
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	phpunit
